#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/buildtools/lib/widgets
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/buildtools/lib/base
  ${CMAKE_SOURCE_DIR}/buildtools/lib/parsers/qmake
  ${CMAKE_SOURCE_DIR}/buildtools/lib/widgets
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevtrollproject.desktop kdevtmakeproject.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevtrollproject.rc DESTINATION ${DATA_INSTALL_DIR}/kdevtrollproject )


##### libkdevtrollproject (module) ##############

tde_add_kpart( libkdevtrollproject AUTOMOC
  SOURCES
    choosesubprojectdlg.cpp choosesubprojectdlgbase.ui
    createscopedlg.cpp createscopedlgbase.ui
    disablesubprojectdlg.cpp disablesubprojectdlgbase.ui
    newwidgetdlg.cpp newwidgetdlgbase.ui
    projectconfigurationdlg.cpp projectconfigurationdlgbase.ui
    qmakedefaultopts.cpp qmakeoptionswidget.cpp
    qmakeoptionswidgetbase.ui qmakescopeitem.cpp
    scope.cpp trolllistview.cpp trollprojectpart.cpp
    trollprojectwidget.cpp
  LINK kdevqmakeparser-shared kdevbuildbase-shared kdevbuildtoolswidgets-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
